Package org.eclipse.cdt.utils.cdtvariables

# Interface ICdtVariableSupplier

public interface ICdtVariableSupplier

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`ICdtVariable`
`getVariable(String macroName, IVariableContextInfo context)`
`ICdtVariable[]`
`getVariables(IVariableContextInfo context)`

## Method Details

### getVariable

ICdtVariable getVariable(String macroName, IVariableContextInfo context)

Parameters:
  `macroName` - macro name
Returns:
  IBuildMacro

### getVariables

ICdtVariable[] getVariables(IVariableContextInfo context)

Returns:
  IBuildMacro[]